#include "include/controller_test_assets.hpp"
#include <PSX/File/Processor/cd_file_processor.hpp>
#include <PSX/AutoLBA/auto_lba_declaration.hpp>

namespace ControllerTest {
    using namespace JabyEngine;

    enum LBA {
        __jabyengine_start_lba_request
        __jabyengine_request_lba_for(CONT, "ASSETS/CONT/CONT.IMG"),
        __jabyengine_end_lba_request
    };
    __declare_lba_header(LBA);

    CDFile Assets[1] = {
        CDFileBuilder::simple_tim(LBA::CONT, ControllerButtonTIM),
    };
}
